%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   YAML-Tiny
%define modv   1.48
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module to read/write YAML files
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-1.48-fixes.patch
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Adam Kennedy <adamk@cpan.org>
Provides:      perl(YAML::Tiny) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(Carp)
Requires:      perl(Exporter)
Requires:      perl(Scalar::Util)
BuildRequires: perl >= 5.4
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.80
BuildRequires: perl(Test::More) >= 0.47
BuildRequires: perl(YAML) >= 0.72
#BuildRequires:perl(YAML::Perl) >= 0.02
#BuildRequires:perl(YAML::Syck) >= 1.17
BuildRequires: perl(YAML::XS) >= 0.34
BuildArch:     noarch


%description
The YAML specification is huge. Really, really huge. It contains all the
functionality of XML, except with flexibility and choice, which makes it
easier to read, but with a formal specification that is more complex than
XML. The YAML::Tiny module is an incomplete but correct and usable subset
of the functionality, in as little code as possible.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Fri Apr 08 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.48-1
- New version (1.48)

* Tue Dec 21 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.46-1
- New version (1.46)

* Sat Sep 11 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.44-1
- New version (1.44)

* Wed Feb 11 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.36-1
- New version (1.36)

* Sun May 11 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.31-1
- Initial build
